import { IPageElement, IKey, IPathApp } from "../../pathinterface";
export declare class PageElement implements IPageElement {
    private readonly _app;
    private _id;
    private _key;
    private _name;
    private _type;
    private _width;
    private _visible;
    private _newRow;
    private _listElement;
    private _parentPageElement;
    static buildShortName(str: string): string;
    constructor(app: IPathApp);
    getShortName(): string;
    get app(): IPathApp;
    get name(): string;
    set name(value: string);
    get type(): string;
    set type(value: string);
    get id(): string;
    set id(value: string);
    get width(): number;
    set width(value: number);
    getKey(): IKey;
    get key(): Key;
    set key(value: Key);
    getParent(): IPageElement;
    get visible(): boolean;
    set visible(value: boolean);
    get newRow(): boolean;
    set newRow(value: boolean);
    get parentPageElement(): PageElement;
    set parentPageElement(value: PageElement);
    get listElement(): boolean;
    set listElement(value: boolean);
    fromJson(modelElement: any): void;
}
export declare class Key implements IKey {
    private _key;
    private _name;
    constructor(key: any, name: string);
    getName(): string;
    set key(value: any);
    getKey(): any;
    set name(value: string);
    equals(otherKey: Key): boolean;
}
